/* Ensure videos maintain aspect ratio */
video {
    object-fit: cover;
}

/* make status card more compact */
.alert-sm {
    padding: 0.5rem;
    min-height: auto;
}

/* Status display styling with frosted glass effect */
.card.bg-base-100 {
    backdrop-filter: blur(8px);
    background-color: rgba(255, 255, 255, 0.2) !important;
}

.card.bg-base-100 .card-body {
    background: transparent;
}

/* Local video container positioning */
#localVideoContainer {
    transition: all 0.3s ease;
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    width: 12rem;
    height: auto;
    border-radius: 0.5rem;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1);
}

#localVideoContainer video {
    border-radius: 0.5rem;
    
}

/* QR code styling */
#clientId {
    text-align: center;
}

#clientId img {
    display: block;
    margin: 0 auto;
    background: white;
    
}

#clientId div {
    color: rgba(0, 0, 0, 0.6);
    font-size: 0.5rem;
}

/* Glass panel styling */
.glass-panel {
    background: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    position: relative;
    z-index: 60;
}

/* QR code styling for registration panel */
#registrationQRCode img {
    display: block;
    margin: 0 auto;
    padding: 1rem;
    background: white;
    border-radius: 0.5rem;
    width: 200px;
    height: 200px;
}

/* Add new styles for the registration alert container */
#registrationFailedAlert.fixed {
    backdrop-filter: blur(4px);
}

/* Face Detection Toggle styling */
#faceDetectionToggle {
    transition: all 0.2s ease;
}

#faceDetectionToggle.active {
    background-color: rgba(0, 0, 0, 0.4);
    color: white;
}

/* Registration panel text styling */
#registrationFailedAlert h2 {
    color: #2563eb; /* Friendly blue color */
}
#registrationFailedMessage {
    color: rgba(0, 0, 0, 0.9);
}

/* Status light styling */
#status-light {
    width: 6px !important;
    height: 6px !important;
    transition: background-color 0.3s ease;
}

#remoteVideo {
    background: transparent;
}


#remoteDisconnectedOverlay {
    background-image: url('/background.jpg');
    background-size: cover;
    background-position: center;
    transition: opacity 0.3s ease;
}

/* Add styles for the text container */
#remoteDisconnectedOverlay p {
    padding: 4.5rem 3rem;
    background: rgba(236, 253, 245, 0.25); 
    backdrop-filter: blur(12px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 
    0 8px 32px 0 rgba(31, 38, 135, 0.15),
    inset 0 0 80px rgba(167, 243, 208, 0.1); 
}

#remoteDisconnectedOverlay span.text-2xl {
    font-family: 'Lora', serif;
    font-size:1.8em;
    font-weight: 400;
    letter-spacing: 0.0em;
    color: rgba(45, 55, 72);
}

#disconnectedMessage {
    opacity: 0.8;
    color: #8b7355;
}